org.apache.ignite.plugin.security

## Enum SecurityPermission

- java.lang.Object
- - java.lang.Enum<SecurityPermission>
  - - org.apache.ignite.plugin.security.SecurityPermission

All Implemented Interfaces:
  Serializable, Comparable<SecurityPermission>

    public enum SecurityPermission
    extends Enum<SecurityPermission>

Supported security permissions within grid. Permissions are specified on per-cache or per-task level.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADMIN_CACHE` Visor cache load permission.
`ADMIN_QUERY` Visor cache read (query) permission.
`ADMIN_VIEW` Common visor tasks permission.
`CACHE_PUT` Cache `put` permission.
`CACHE_READ` Cache `read` permission.
`CACHE_REMOVE` Cache `remove` permission.
`EVENTS_DISABLE` Events `disable` permission.
`EVENTS_ENABLE` Events `enable` permission.
`TASK_CANCEL` Task `cancel` permission.
`TASK_EXECUTE` Task `execute` permission.

### Method Summary

Methods
`static SecurityPermission` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static SecurityPermission` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SecurityPermission[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CACHE_READ

    public static final SecurityPermission CACHE_READ

Cache `read` permission.

#### CACHE_PUT

    public static final SecurityPermission CACHE_PUT

Cache `put` permission.

#### CACHE_REMOVE

    public static final SecurityPermission CACHE_REMOVE

Cache `remove` permission.

#### TASK_EXECUTE

    public static final SecurityPermission TASK_EXECUTE

Task `execute` permission.

#### TASK_CANCEL

    public static final SecurityPermission TASK_CANCEL

Task `cancel` permission.

#### EVENTS_ENABLE

    public static final SecurityPermission EVENTS_ENABLE

Events `enable` permission.

#### EVENTS_DISABLE

    public static final SecurityPermission EVENTS_DISABLE

Events `disable` permission.

#### ADMIN_VIEW

    public static final SecurityPermission ADMIN_VIEW

Common visor tasks permission.

#### ADMIN_QUERY

    public static final SecurityPermission ADMIN_QUERY

Visor cache read (query) permission.

#### ADMIN_CACHE

    public static final SecurityPermission ADMIN_CACHE

Visor cache load permission.

### Method Detail

#### values

    public static SecurityPermission[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SecurityPermission c : SecurityPermission.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SecurityPermission valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static SecurityPermission fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015